* VERSION 1.0
* FIRST VERSION: JUN 19, 2006
* THIS VERSION:  JUN 21, 2006
* LAST REVISOR: SOB
*

# delimit ;

capture log close;
clear;

cd "$rootcafe";
log using "logs/displacement-psmatch2-concomitant-$par.log", replace;
adopath + "$root/%stata/ado"; 

set matsize 800;
set more off;
set rmsg on;
set seed 1234;

capture mkdir "$rootcafe/estmat/$par";
capture mkdir "$rootcafe/Xdata/$par";

*-----------------------------------------------;
capture program drop memuse;
program define memuse;
   qui memory;
   local memused = round(_N * `r(width)' / (1024*1024));
   local memsize = round(`r(M_total)' / (1024*1024));
   display in ye "`memused' MB of `memsize' MB allocated memory in use";
end;
*-----------------------------------------------;

use socsecid dwz93g8_3 wz93_2dig using "$root/xba/FDI-worker-data/displacement-probit-worker-sample-$rsample", clear;

if "$par" == "manf" {;
   keep if dwz93g8_3==1;
};

if "$par" == "nonmf" {;
   drop if dwz93g8_3==1;
};

memuse; /* nonmf: 19 MB of 500 MB for 2% sample */

/* merge sector-level variables as of 2000 */
sort wz93_2dig;
merge wz93_2dig using "$root\xba\FDI-worker-data\sector-vars-2000.dta", nokeep;
tab _merge;
keep if _merge==3;
drop _merge;
/* merge sector-level variables as of 2001 */
sort wz93_2dig;
merge wz93_2dig using "$root\xba\FDI-worker-data\sector-vars-2001.dta", nokeep;
tab _merge;
keep if _merge==3;
drop _merge;

global regdef "APC CEE EMU ODV OIN OWE RCA";

foreach var in imp exp impinp {; /* var */
  foreach reg of global regdef {; /* reg */
    gen `var'_`reg'_pc_0001  = `var'_`reg'_pc_2001 - `var'_`reg'_pc_2000;
    drop  `var'_`reg'_pc_2001  `var'_`reg'_pc_2000;
  }; /* reg */
}; /* var */

tsunab dsectorvars0001: imp_* exp_* impinp_*;
global dsectorvars0001 "`dsectorvars0001'";

sort socsecid;
save "$root/xba/FDI-worker-data/displacement-probit-worker-sample-short-$rsample", replace;


local sample = 1;
*local spec = 1;
local het = 0;
*local region = "WW";


foreach region in WW APC CEE EMU ODV OIN OWE RCA {; /* region */
  foreach spec of global speclist {; /* spec */

    /* insheet psmatch2 vars */
    capture noi insheet using "$root/!cafe/Xdata/$par/data_sample`sample'_spec`spec'_het`het'_`region'.csv", comma clear;

    keep if (_treated==1|_weight==1);
    keep if _support==1;

    sort socsecid;
    merge socsecid using "$root/xba/FDI-worker-data/displacement-probit-worker-sample-short-$rsample", nokeep;
    tab _merge;
    keep if _merge==3;

    /* ATT with controls for concomitant vars */
    regress separate _treated $dsectorvars0001;
    est2vec concomit_s`sample'_`region'_spec`spec'_het`het', e(r2_p) name(withcontr);

    /* ATT */
    regress separate _treated;
    est2vec concomit_s`sample'_`region'_spec`spec'_het`het', addto(concomit_s`sample'_`region'_spec`spec'_het`het') name(att);
  
    foreach type in b se e {;
      matsave concomit_s`sample'_`region'_spec`spec'_het`het'_`type', saving p(estmat/$par) t(double) replace;
    };

  }; /* spec */
}; /* region */

*------------------------------------------------------------------------------------------------;


log close;
